from django.contrib import admin
from controlador.models import AppUser, Medicine, Administration, Patient, Posology, Intake, Message
from .model_admin import AppUserAdmin, MedicineAdmin, AdministrationAdmin, PatientAdmin, PosologyAdmin, IntakeAdmin, MessageAdmin

# Register your models here.
admin.site.register(AppUser, AppUserAdmin)
admin.site.register(Medicine, MedicineAdmin)
admin.site.register(Administration, AdministrationAdmin)
admin.site.register(Patient, PatientAdmin)
admin.site.register(Posology, PosologyAdmin)
admin.site.register(Intake, IntakeAdmin)
admin.site.register(Message, MessageAdmin)