from django.core.exceptions import ValidationError

def code_format_checker(code):
        num_alpha = 0
        c_space = False
        c_lower_case = False
        c_upper_case = False
        c_length = False
        
        if 10 <= len(code) <= 16:
            c_length = True
        for single_character in code:
            if single_character.isspace():
                c_space = True
            else:
                if single_character.isalpha():
                    num_alpha += 1
                if single_character.islower():
                    c_lower_case = True
                if single_character.isupper():
                    c_upper_case = True
        
        if not c_space and num_alpha >= 2 and c_upper_case and c_lower_case and c_length:
            return code
        else:
            raise ValidationError("El formato de la contraseña no es válida.")